filter OlderThan($tage) {
  [string]$timestamp = $_.Properties.Item('lastlogon') 
  #[string]$timestamp = $_.Properties.Item('lastlogonTimestamp')
  if ($timestamp -eq "") {
    Write-Debug "$($_.CN) hat sich noch nie angemeldet."
  } else {
    $lastlogon = [DateTime]::FromFileTime([Int64]::Parse($timestamp))
    $unused = (New-TimeSpan  $lastlogon (Get-Date) ).TotalDays
    if ($unused -gt $tage) {
      $_.Properties.Item('CN')
    }
  }
}
