function Remove-Cert($zertifikat) {
  $path = $zertifikat.PSParentPath 
  $storename = Split-Path $path -leaf
  $folder = Split-Path $path -parent
  $folder = Split-Path $folder -noQualifier
  
  $store = New-Object System.Security.Cryptography.X509Certificates.X509Store $storename,$folder
  $store.Open("ReadWrite")
  $store.Remove($zertifikat)
  $store.Close()
}
