function Get-WMISignature($klasse='Win32_Process', $methode = 'Create')
{
  $method = (New-Object -comObject WBemScripting.Swbemlocator).ConnectServer('.').Get($klasse,131072).Methods_.Item($methode)
  $parameter = @{}
  $method.InParameters.Properties_ | % { $parameter.Add($_.Qualifiers_.Item('ID').Value, $_.Name + " als $($_.Qualifiers_.Item('CIMTYPE').Value)")  }
  $method.OutParameters.Properties_ | % { trap {continue} $parameter.Add($_.Qualifiers_.Item('ID').Value, $_.Name + " als $($_.Qualifiers_.Item('CIMTYPE').Value) [ByRef!]")  }
  $rv = $method.OutParameters.Properties_.Item( 'returnValue').Qualifiers_.Item('CIMTYPE').Value
  $argumente = [String]::Join(', ', ($parameter.GetEnumerator() | Sort-Object Name | % { $_.Value }))
  "$rv = $methode($argumente)"
  $klartext = $method.Qualifiers_.Item('Values').Value
  $method.Qualifiers_.Item('ValueMap').Value | % {$i=0}{'{0,30} = {1,-30}' -f $_, $klartext[$i]; $i++}
}

Get-WMISignature Win32_Share Create
