function Add-Properties {
begin {
  $helper = New-Object -ComObject Shell.Application
  $al = New-Object System.Collections.ArrayList
  
}
process {
  $file = $_ | Get-Item
  if ($file.PSisContainer) {
    return $file
  }
  $folder = $helper.NameSpace($file.DirectoryName)
  $fileitem = $folder.ParseName($file.Name)
  if ($al.Count -eq 0) {
    0..266 | % { [void]$al.Add("__" + $folder.GetDetailsOf($null, $_)) }
  }
  0..266 | % { 
    $content = $folder.GetDetailsOf($fileitem, $_)
    if ($content -ne '') {
      $file | Add-Member NoteProperty $al[$_] $content
	}
	}
  $file
}
}

dir  ([Environment]::GetFolderPath("MyPictures")) | Add-Properties | fl name, __*


