function Regedit ([string]$path = $(Get-Location)) {
  if (@(Get-Process regedit -ea SilentlyContinue).Count -gt 0) {
    Throw "REGEDIT wird bereits ausgefhrt."
  }

  $key = Get-Item $path
  if ($key.GetType().Name -eq 'RegistryKey') {
    $regpath = $key.name
    $key = "HKCU:\Software\Microsoft\Windows\CurrentVersion\Applets\Regedit"
    Set-ItemProperty $key LastKey "Computer\$regpath"
  }
  regedit.exe
}


regedit HKCU:\Software
