Get-Process | % {
  trap { continue }
  $laufzeit = ((Get-Date) - $_.StartTime).TotalMinutes
  if ($laufzeit -le 10) {
    $_ | Add-Member NoteProperty 'Laufzeit in Minuten' $laufzeit
    $_
  }
} | Sort-Object laufzeit | ft name, lauf*
